#pragma once

#include "node_panel_brush.h"

namespace pp::panopainter {

class LegacyBrushPanelUi final {
public:
    static void init(NodePanelBrush& owner);
    static kEventResult handle_event(NodePanelBrush& owner, Event* event);
    static void handle_click(NodePanelBrush& owner, Node* target);
    static void added(NodePanelBrush& owner);
};

} // namespace pp::panopainter
